<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<meta charset="utf-8"/>
<title>Pagina personale</title>
</head>
<body>
<div align="center" th:if="${successMessageRegistration}">
    		<div th:text="${successMessageRegistration}"></div>
	   </div>
	<div align="center">
	   <div sec:authorize="hasAuthority('Professore')">
	   <div align="center" th:if="${successMessageDeleteClass}">
    		<div th:text="${successMessageDeleteClass}"></div>
	   </div>
	   <div align="center" th:if="${errorMessageRegisterAlreadyExists}">
    		<div th:text="${errorMessageRegisterAlreadyExists}"></div>
	   </div>
	   <div align="center" th:if="${successMessageDeleteMateria}">
    		<div th:text="${successMessageDeleteMateria}"></div>
	   </div>
	    <table border="3" cellpadding="30">
	        <thead>
	            <tr>
	                <th>Nome</th>
	                <th>Cognome</th>
	                <th>CodiceFiscale</th>
	                <th>Email</th>
	                <th>Ruolo</th>
	                <th>Azioni disponibili</th>
	                <th>Logout</th>
	            </tr>
	        </thead>
	        <tbody>
	            <tr>
	                
	                <td th:text="${persona.Nome}"></td>
	                <td th:text="${persona.Cognome}"></td>
	                <td th:text="${persona.CodiceFiscale}"></td>
	                <td th:text="${persona.Email}"></td>
					<td th:text="${persona.Ruolo}"></td>                
	                <td><a th:href="@{/azioni}">Azioni</a></td>   
	                <td sec:authorize="isAuthenticated()"><form th:action="@{/logout}" method="post"><input class="btn btn-secondary btn-sm" type="submit" value="Logout"/></form></td>
	            	
	            </tr>
	        </tbody>
	    </table>
	 

	</br>
	  Classi:
	<div th:each="cattedra : *{cattedre}" th:object="${cattedra}">
    	<text th:text="${cattedra.classe.getNomeClasse()}"></text> - <text th:text="${cattedra.materia.getNomeMateria()}"></text>
	</div><br>
	
	</div></div>
	
	
	<div align="center">
	   <div sec:authorize="hasAuthority('Studente')">
	   
	   <div align="center" th:if="${successMessageClasse}">
		    <div th:text="${successMessageClasse}"></div>
		</div>
		<div align="center" th:if="${errorMessageStudent}">
		    <div class="text-danger" th:text="${errorMessageStudent}"></div>
		</div>
	    <table border="3" cellpadding="30">
	        <thead>
	            <tr>
	                <th>Nome</th>
	                <th>Cognome</th>
	                <th>CodiceFiscale</th>
	                <th>Email</th>
	                <th>Ruolo</th>
	                <th>Azioni disponibili</th>
	                <th>Logout</th>
	            </tr>
	        </thead>
	        <tbody>
	            <tr>
	                
	                <td th:text="${persona.Nome}"></td>
	                <td th:text="${persona.Cognome}"></td>
	                <td th:text="${persona.CodiceFiscale}"></td>
	                <td th:text="${persona.Email}"></td>
					<td th:text="${persona.Ruolo}"></td>                
	                <td><a th:href="@{/azioni}">Azioni</a></td>   
	                <td sec:authorize="isAuthenticated()"><form th:action="@{/logout}" method="post"><input class="btn btn-secondary btn-sm" type="submit" value="Logout"/></form></td>
	            	
	            </tr>
	        </tbody>
	    </table>
	  
	
	<a th:if="!${classe}" href="\iscrizioneClasse">Iscriviti ad una classe</a><br>
	<div th:object="${classe}" th:if="${classe}">
    	Classe: <text th:text="${classe.nomeClasse}"></text><br>
	</div>
	
	

	</div> </div>
</body>
</html>
